
Redmine - Feature #17599

Allow users to edit issues without adding notes.

2014-08-03 07:09 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Issue notes can be added even if the member's role does not include "Add notes" permission.

How to reproduce:

1. Add a user to a project as "Developer"

2. Revoke "Add notes" permission from the role "Developer"

3. The member can still add issue notes.

Related issues:

Related to Redmine - Defect #35045: Mail handler bypasses add_issue_notes per... Closed

History

#1 - 2014-09-01 03:34 - Toshi MARUYAMA

- Target version set to 2.6.0

#2 - 2014-09-14 13:12 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Permission "Add notes" is not working to Allow users to edit issues without adding notes.

- Target version changed from 2.6.0 to Candidate for next major release

The "Add notes" permission lets users add notes without editing the issue. But whenever a user is allowed to edit an issue, he is allowed to add notes

by design.

#3 - 2016-06-10 10:20 - Jaap de Haan

But whenever a user is allowed to edit an issue, he is allowed to add notes by design.

IMHO this is not a good design decision:

All systems I know (SBM, JIRA, ...) behave in another way: the feature of adding notes or attachments is something separate from the ticket

itself (that others do it is a poor argument :-) I know)

The expectation of removing the "Add note" check box in the permissions is that there is no possibility to add notes. Still allowing this because of

edit rights on the issue undermines this and makes it impossible to realize that use case. Rights for editing issues should not be include adding

notes.

Or put more simply, why restrict the amount of possible use cases artificially?

I consider the "Add Notes" behavior should be changed too.

#4 - 2021-04-20 11:16 - Holger Just

- Related to Defect #35045: Mail handler bypasses add_issue_notes permission added
